Custom Attributes
Get a custom attribute details
Get the details of a custom attribute in the account
Authorization
userApiKey api_access_token<token>
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
account_id*integer
The numeric ID of the account
id*integer
The ID of the custom attribute to be updated.
account_id*integer
The numeric ID of the account
id*number
ID of the custom attribute
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/accounts/0/custom_attribute_definitions/0"{
"id": 0,
"attribute_display_name": "string",
"attribute_display_type": "string",
"attribute_description": "string",
"attribute_key": "string",
"regex_pattern": "string",
"regex_cue": "string",
"attribute_values": "string",
"attribute_model": "string",
"default_value": "string",
"created_at": "string",
"updated_at": "string"
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}